Index: debian/control
===================================================================
--- debian/control	(revision 53e937409c662b597f52d03988f4921a80288108)
+++ debian/control	(revision e20354cffb0ad7e063eb4e70ec9d601f6309fcb5)
@@ -10,6 +10,4 @@
 Pre-Depends: debconf
 Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer, libimage-exiftool-perl, lprng | debathena-lprng, sysv-rc, adduser, debathena-zephyr-config, libzephyr3-krb, alsa-base
-Conflicts: pulseaudio
-Provides: pulseaudio
 Description: Server for playing music files from a remote machine
  Allows remote machines to play music files on this machine
Index: debian/gutenbach.postinst
===================================================================
--- debian/gutenbach.postinst	(revision 53e937409c662b597f52d03988f4921a80288108)
+++ debian/gutenbach.postinst	(revision e20354cffb0ad7e063eb4e70ec9d601f6309fcb5)
@@ -41,7 +41,7 @@
 
 
-	inaudio=$(groups daemon | grep audio || true)
+	inaudio=$(groups lp | grep audio || true)
 	if [ -z "$inaudio" ]; then
-	    adduser daemon audio
+	    adduser lp audio
 	fi
 
Index: debian/inst/create-filter-config
===================================================================
--- debian/inst/create-filter-config	(revision 53e937409c662b597f52d03988f4921a80288108)
+++ debian/inst/create-filter-config	(revision e20354cffb0ad7e063eb4e70ec9d601f6309fcb5)
@@ -25,11 +25,13 @@
 mixer="PCM"
 channel="Front Left"
+config_file="/usr/lib/gutenbach/config/gutenbach-filter-config.pl"
 
 if [ -z "$failed" ]; then
-    echo "\$zephyr_class = \""$zephyrclass"\";" >> /usr/lib/gutenbach/config/gutenbach-filter-config.pl
-    echo "\$host = \""$hostname"\";" >> /usr/lib/gutenbach/config/gutenbach-filter-config.pl
-    echo "\$queue = \""$printername"\";" >> /usr/lib/gutenbach/config/gutenbach-filter-config.pl
-    echo "\$mixer = \""$mixer"\";" >> /usr/lib/gutenbach/config/gutenbach-filter-config.pl
-    echo "\$channel = \""$channel"\";" >> /usr/lib/gutenbach/config/gutenbach-filter-config.pl
+    echo "\$zephyr_class = \""$zephyrclass"\";" >> "$config_file"
+    echo "\$host = \""$hostname"\";" >> "$config_file"
+    echo "\$queue = \""$printername"\";" >> "$config_file"
+    echo "\$mixer = \""$mixer"\";" >> "$config_file"
+    echo "\$channel = \""$channel"\";" >> "$config_file"
+    echo "1;" >> "$config_file"
 else
     echo "Error: One of /usr/lib/gutenbach/config/{printername,hostname,zephyrclass} does not exist!" >&2
Index: debian/lib/gutenbach
===================================================================
--- debian/lib/gutenbach	(revision 53e937409c662b597f52d03988f4921a80288108)
+++ debian/lib/gutenbach	(revision e20354cffb0ad7e063eb4e70ec9d601f6309fcb5)
@@ -25,4 +25,6 @@
 use IPC::Open2;
 use English;
+
+use vars qw/$zephyr_class $host $queue $mixer $channel/;
 
 require "/usr/lib/gutenbach/config/gutenbach-filter-config.pl" or die "Unable to load configuration";
@@ -65,7 +67,7 @@
 
 my %arguments = (
-		 job-id => $ARGV[0],
+		 "job-id" => $ARGV[0],
 		 user => $ARGV[1],
-		 job-title => $ARGV[2],
+		 "job-title" => $ARGV[2],
 		 copies => $ARGV[3],
 		 options => {split(/[= ]/, $ARGV[4])},
@@ -83,4 +85,5 @@
   }
   close($fh);
+  $arguments{"file"} = $file;
 }
 
@@ -93,6 +96,6 @@
 open(ZEPHYR, "|-", @zwrite_command) or die "Couldn't launch zwrite: $!";
 
-print(ZEPHYR "$arguments{user}\@$arguments{options}{job-originating-host-name} is playing:\n");
-my $status = "User: $arguments{user}\@$arguments{options}{job-originating-host-name}.");
+print(ZEPHYR $arguments{"user"},"\@",$arguments{"options"}{"job-originating-host-name"}," is playing:\n");
+my $status = "User: ".$arguments{"user"}."\@".$arguments{"options"}{"job-originating-host-name"};
 
 # SIGHUP handler, in case we were aborted
@@ -107,7 +110,9 @@
 
 # Read the metadata information from the file.
-my ($filepath) = $options{"file"};
+my ($filepath) = $arguments{"file"};
 my ($fileinfo) = ImageInfo($filepath);
 my ($magic) = $fileinfo->{FileType};
+my ($tempdir);
+my ($newpath);
 
 if ($magic) {
@@ -128,5 +133,5 @@
   }
 
-  my $tempdir = tempdir();
+  $tempdir = tempdir();
   #awful hack -- geofft
   #== -- quentin
@@ -135,5 +140,5 @@
   # filename. I think this is because mplayer sometimes uses the file
   # extension to identify a filetype.
-  my $newpath = $tempdir . '/' . basename($arguments{"job-title"});
+  $newpath = $tempdir . '/' . basename($arguments{"job-title"});
   symlink($filepath, $newpath);
   $filepath = $newpath;
@@ -184,5 +189,5 @@
   my ($filepath, $arguments) = @_;
 
-  my $format, $uri, $userpass;
+  my ($format, $uri, $userpass);
 
   open(FILE, "<", $filepath) or die "Couldn't open spool file";
@@ -250,4 +255,5 @@
 
   my $response = $ua->get($uri);
+  my (@titles, @uris);
 
   foreach (split("\n", $response->content())) {
@@ -261,5 +267,5 @@
 
   # choose a random server
-  $server = int(rand scalar(@uris));
+  my $server = int(rand scalar(@uris));
   # print the name of the stream if available
   print ZEPHYR "$titles[$server]\n";
